commit 90dd9b1a919fa05b2d225a2f6bad35180d00ed7d
Author: freddy77 <freddy77>
Date:   Fri Jul 2 09:01:22 2010 +0000

    correct wrong assumption about statistics functions

diff --git a/ChangeLog b/ChangeLog
index d1bd0b0..0d1c24a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Jul  2 11:01:08 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/stats.c:
+	- correct wrong assumption about statistics functions
+
 Tue Jun 29 14:07:32 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/mem.c: do not use strtok which is not reentrant
 
@@ -2540,4 +2544,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3046 2010/06/29 12:07:54 freddy77 Exp $
+$Id: ChangeLog,v 1.3047 2010/07/02 09:01:22 freddy77 Exp $
diff --git a/src/odbc/unittests/stats.c b/src/odbc/unittests/stats.c
index 0b66617..34ac2e8 100644
--- a/src/odbc/unittests/stats.c
+++ b/src/odbc/unittests/stats.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: stats.c,v 1.1 2009/12/15 11:23:47 freddy77 Exp $";
+static char software_version[] = "$Id: stats.c,v 1.2 2010/07/02 09:01:22 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLLEN cnamesize;
@@ -20,7 +20,7 @@ static const char *proc = "stat_proc";
 static const char *table = "stat_proc";
 static const char *column = "@t";
 
-#define LEN(x) (x) ? strlen(x) : SQL_NULL_DATA
+#define LEN(x) (x) ? strlen(x) : 0
 
 static void
 TestProc(const char *type, const char *expected)

